<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" indent="no" />

<xsl:template match="/">
	<xsl:apply-templates select="/systemMenu" />
</xsl:template>

<xsl:template match="/systemMenu">
	<div class="ui-widget systemmenu">
		<div class="systemmenu-top">
			<div class="systemmenu-content">
				<div class="systemmenu-topic">
				<xsl:for-each select="topicParts/*">
					 <span style="color: {@color};"><xsl:value-of select="@text" /></span>
				</xsl:for-each>
				</div>
			
				<xsl:for-each select="links/*">
					<div class="ui-button systemmenu-link" data-id="{@id}" style="color: {@color};"><xsl:value-of select="@name" /></div>
				</xsl:for-each>
			</div>
		</div>
		
		<div class="systemmenu-bottom">
			<div class="systemmenu-content">
				<div class="systemmenu-logo"><img src="/images/logo.png" /></div>
				
				<xsl:for-each select="buttons/*">
					<div class="ui-button systemmenu-button" data-id="{@id}" data-selected="{@selected}">
						<span class="systemmenu-icon systemmenu-icon-{@icon}"></span>
						<span class="systemmenu-button-text"><xsl:value-of select="@name" /></span>
					</div>
				</xsl:for-each>
			</div>
		</div>
		
		<div class="systemmenu-hide systemmenu-close-icon" />

	</div>
</xsl:template>

</xsl:stylesheet>
